#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 9. General Libraries

- Prev

  CLucene-2.3.3.4

- Next

  Double-conversion-3.1.5

- Up
- Home

# dbus-glib-0.110

## Introduction to D-Bus GLib

The D-Bus GLib package contains GLib interfaces to the D-Bus API.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://dbus.freedesktop.org/releases/dbus-glib/dbus-glib-0.110.tar.gz

- Download MD5 sum: d7cebf1d69445cbd28b4983392145192

- Download size: 820 KB

- Estimated disk space required: 10 MB (with tests)

- Estimated build time: 0.1 SBU (with tests)

### D-Bus GLib Dependencies

#### Required

dbus-1.12.20 and GLib-2.66.7

#### Optional

GTK-Doc-1.33.2

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/dbus-glib

## Installation of D-Bus GLib

Install D-Bus GLib by running the following commands:

    ./configure --prefix=/usr     \
                --sysconfdir=/etc \
                --disable-static &&
    make

To test the results, issue: make check. Note that more comprehensive tests can be run by following the same method used in D-Bus instructions, which requires building the package twice.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

`--enable-gtk-doc`: Use this parameter if GTK-Doc is installed and you wish to rebuild and install the API documentation.

## Contents

Installed Program: dbus-binding-tool
Installed Library: libdbus-glib-1.so
Installed Directories: /usr/share/gtk-doc/html/dbus-glib and /usr/share/doc/dbus-glib-0.110

### Short Descriptions

dbus-binding-tool | is a tool used to interface with the D-Bus API
`libdbus-glib-1.so` | contains GLib interface functions to the D-Bus API

Last updated on 2021-02-21 11:05:24 -0800

- Prev

  CLucene-2.3.3.4

- Next

  Double-conversion-3.1.5

- Up
- Home